
@font-face { 
    font-family: 'Seven Segment'; 
    src: url('../fonts/Seven Segment.ttf') format('truetype'); 
} 

body {
	font-family: 'Roboto','Google Sans',sans-serif;
	font-size: 13px;
	color: #ce7c56; 
	fill: #ce7c56;
	margin: 0 auto;
	background: #000000;
	user-select: none;
}

a:link,a:visited,a:hover {
  color: #ce7c56;
}

.noshow {
	display: none !important;
}

#MTB-CLOCK {
	grid-column: span 2;
	text-align: left;
}

.clock {
	padding-top : 0px !important;
	font-family: 'Seven Segment', sans-serif;
	font-size: 64px;
	filter: drop-shadow(3px 3px 4px #ce7c56);
}

#coffeeCount {
	font-size: 16px;
}

/* to detect if mobile or desktop */
/*
@media (hover: hover) {
  body {
    width: 500px;
		zoom: 75%;
  }
} 
*/

.splash {
	position:fixed;
	padding:0;
	margin:0;
	top:0;
	left:0;
	width: 100%;
	height: 100%;
	background:black;
	opacity: 1.0;
	transition: opacity 1s ease-out;
}

:focus {
  outline: 0;
  outline-color: transparent;
  outline-style: none;
}

*:focus {
    outline: none;
}
 
.grid-main {
	height: 96%;
	margin: 10px 10px 10px 10px;
	display: grid;
	grid-template-columns: repeat(4, 25%);
	grid-template-rows: 80px 80px 80px 80px 80px 80px 80px auto 90px; 
	grid-row-gap: 10px;
}

.box {
	max-height: 70px;
	margin-right: 5px;
  margin-left: 5px;
	padding: 5px;
	display: grid;
	grid-template-columns: 1fr;
	grid-template-rows: 32px 1fr 1fr;
	grid-column-gap: 0px;
	grid-row-gap: 0px;
	background: #414141;
	border-radius: 10px;
	text-align: center;
	vertical-align: middle;
	transition-duration: 1s;
	transition-property: background, color, fill;
	box-shadow: 
	  inset -6px -6px 15px -11px black, 
		inset 5px 5px 15px -3px #515151;
}

.box div {
	pointer-events: none;
	padding-top: 5px; 
}	

.box2rows {
  grid-row: span 2;
  align-self: center;
  /* filter: drop-shadow(4px 4px 3px #000000aa); */
}

.box-ht {
	max-height: 90px;
	margin-right: 5px;
  margin-left: 5px;
	padding: 10px 5px 5px 5px; 
	display: grid;
	grid-template-columns: 1fr; 
	grid-template-rows: 1fr 1fr 1fr; 
  gap: 0px 0px; 
	text-align: center;
	vertical-align: middle;
	align-content: center; 
	border-radius: 10px;
	box-shadow: 
	  inset -6px -6px 15px -11px black, 
		inset 5px 5px 15px -3px #515151;
}

.box-ht div {
	pointer-events: none; 
	display: flex;
  justify-content: center;
  align-items: center;
}

.box-clim {
	padding-top: 2px !important;
}

.box-clim-icon {
	float:left;
	margin-left: 10px;
}

.box-clim-temp {
	float: right; 
	font-size: 18px;
	padding-right: 12px;
	padding-top: 7px !important;
}

.ht-data {
	/* font-size: 12px; */
	padding-top: 0px !important;
}

.simple-data {
	font-size: 13px; 
}	

.box-ud {
	margin-right: 5px;
  margin-left: 5px;
	padding: 5px;
	display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(2, 1fr);
	grid-column-gap: 0px;
	grid-row-gap: 0px;
	background: #414141;
	border-radius: 10px;
	text-align: center;
	vertical-align: middle;
	transition-duration: 1s;
	transition-property: background, color, fill;	  
	grid-column: span 2;
	background: #232323 !important;
}
	
}

.box-ud > div {
	margin-top: 10px;
}

.box-ud-lbl {
	background: #232323 !important;
  margin-top: 0px !important; 
	grid-column: 1/4;
  width: fit-content;
  margin: 0 auto;	
}

.btn-ud {
	grid-row: span 2;
	background: #414141;
	border-radius: 10px;
	padding-top: 6px;
	box-shadow: 
	  inset -6px -6px 15px -11px black, 
		inset 5px 5px 15px -3px #515151;
}

.svg-ud {
	pointer-events: none;
	margin-top: 5px;
	width: 32px;
	height: 32px;
}

.cnv-ud {
	background: #232323 !important;
	user-select: none;
  margin-top: 10px;
}

.cnv-rte {
	image-rendering: smooth;
	background: #232323 !important;
	user-select: none;
	margin-top: 10px;
}

#RTE-MIX {
	display: grid;
	grid-template-columns: 33% 34% 33%;
	grid-template-rows: 24px;
	row-gap: 0px;
	column-gap: 2px;
	color: black;
	width: 90%
}

#RTE-MIX > div {
	padding: 0;
	font-size: 10px;
	height: 20px;
	border-radius: 5px;
}

#RTE-MIX-0 {
	background: #3a873d;	
}

#RTE-MIX-1 {
	background: #ce7c56;	
}

#RTE-MIX-2 {
	background: #9e9e9e;	
}

#MTB-CONSO {
	grid-column: span 2; 
}

#CONSO-GRAF {
	display: grid;
	grid-template-columns: 24px 1fr 46px;
	grid-template-rows: repeat(3,24px);
	row-gap: 2px;
	column-gap: 0px;
	color: black;
	width: 100%;
	justify-items: start;
  justify-content: start;
}

#CONSO-GRAF > div {
	border-radius: 5px;
	height: 50%;
	pointer-events: all;
}

.conso-power {
	color: ce7c56;
	width: 90%;
  text-align: right;
  justify-content: right !important;
}

#MTB-POWT-GRAF {
	background: #ce7c56;
}

#MTB-POWC-GRAF {
	background: #eb6262;
}

#MTB-POWH-GRAF {
	background: #56aece;
}

.box-status {
	/* pointer-events: none; */
  display: grid;
  align-items: flex-end;
  justify-content: flex-end;
}

.box-simple {
	grid-template-rows: 1fr; 
	align-items: start;
	background: none;
	box-shadow: none;
	
}


.ht-value {
	padding: 0 !important;
}

.box-no-back {
	background: #232323 !important;
}

.temphumi {
	grid-template-rows: 25px 25px 30px;
}
.temphumi1,.temphumi2{
	padding-top: 0px;
	font-size: 22px;
}
.temphumi3 {
	padding-top: 10px !important;
}

.svg-icon {
	width: 30px;
	height: 30px;
}

.svg-rot-90 {
	transform: rotate(90deg);
}

.svg-fill-gray {
	fill: gray;
}

.svg-fill-blue {
	fill: #ce7c56;  /* not blue, actually :) */
}

.svg-fill-blue-blue {
	fill: blue;  
}

.svg-fill-white {
	fill: white;
}

.svg-fill-red {
	fill: red;
}

.svg-fill-black {
	fill: black;
}


.svg-icon-16 {
	width: 16px;
	height: 16px;
	padding-right: 0px;
}

.svg-icon-18 {
	width: 18px;
	height: 18px;
	padding-right: 0px;
}


.svg-icon-24 {
	width: 24px;
	height: 24px;
}

.svg-icon-leaf {
	width: 12px;
	height: 12px;
	margin-bottom: 2px;
  margin-right: 2px;
}

.svg-icon-trend {
	width: 12px;
	height: 12px;
	margin-bottom: 2px;
  margin-right: 2px;
}

.svg-icon-dlg {
	width: 36px;
	height: 36px;
}
	
.svg-icon-dlg-32 {
	width: 32px;
	height: 32px;
}


.svg-icon-dlg-small {
	width: 24px;
	height: 24px;
}

.svg-status {
	pointer-events: auto;   
}

.power {
	width: 50%;
	text-align: right;
	justify-content: right !important;
}

/* for the help dialog */
#dlg-help-item {
	padding-left: 10px;
	padding-bottom: 8px;
  font-size: 14px;
	font-weight: bold;
}

#dlg-help-text {
  font-size: 14px;
}
	
#dlg-help-text div {
	display: flex;
	padding-left: 10px;
	padding-right: 10px;
	padding-bottom: 8px;
}

#dlg-help-text svg {
	width: 24px;
	height: 24px;
	padding-right: 5px;
}

	
.dialog {
	/* max-width: calc(100% - 20px); */
	margin: 10px;
  width: 100%;
  height: 400px;
	padding: 0px 10px 0px 10px; 
	background-color: #414141;
  border: 1px solid #ce7c56;
  border-radius: 10px;
	border: none;
	color: #ce7c56;
	font-size: 16px;
	overflow: clip;
}

#dlg-bulb-kelvin,#dlg-bulb-kelvin-g3 {
	height: 230px;
}

#dlg-bulb-rgbw {
	height: 180px;
}
 
#dlg-hvac {
	height: 480px;
}

#dlg-power-conso {
	height: 680px;
}

#dlg-tempo {
	height: 540px;
}

#dlg-status {
	height: 100%;
	overflow: auto;
}

#dlg-temperature {
	height: 620px;
}

.chart-temp-text {
  position: absolute;
  font-size: 14px;
  padding: 3px;
  margin-top: 12px;
  right: 20px;
  background: #414141;
}

#dlg-whc {
	height: 410px;
}

.dlg-grid {
	display: grid;
	grid-template-columns: 55px auto 44px;
	grid-template-rows: 55px 1fr;
	grid-column-gap: 0px;
	grid-row-gap: 30px;
	align-items: center;
}

.dlg-grid-bulb {
	grid-template-columns: 55px auto 60px;
}


.dlg-grid-status {
	grid-row-gap: 10px;
}

.dlg-grid-power {
	grid-row-gap: 0px;
}

.dlg-grid-temp {
	grid-row-gap: 0px;
}


.dlg-grid-hvac {
	grid-template-columns: 55px auto;
	text-align: center;
}

.dlg-grid-tempo {
	grid-template-rows: 55px 150px 240px;
}

.dlg-grid-tempo-rte {
  margin-left: 10px;
  grid-template-columns: 40px 80px 80px 80px 65px;
  grid-template-rows: repeat(4, 33px);
  grid-row-gap: 0px;
  text-align: right;
  line-height: 24px;
}

.dlg-tempo-grid div {
	border: 1px solid;
	padding: 4px;
	padding-right: 10px;
}

.grid-tempo-dpe {
	grid-row-start: 3;
  grid-column-start: 2;
}

.npr {
	padding-right: 5px !important;
}

.dlg-power-days {
  display: flex;
	line-height: 24px;
}

.dlg-title {
	font-size: 20px;
}

.dlg-close {
	text-align: right;
}

.dlg-range {
	grid-column: span 2;
}

.dlg-left-text {
	text-align: right;
  font-size: 24px;
}

.dlg-tab-btn {
  display: inline-block;
	min-width: 100px;
  outline: none;
  padding: 6px 12px;
  margin-bottom: 0;
  font-size: 14px;
  font-weight: normal;
  line-height: 20px;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  cursor: pointer;
  background-image: none;
  border: none;
	color: #ce7c56;
  background-color: rgba(158, 158, 158, 0.1);
  border-radius: 2px;
  -webkit-user-select: none;
}

.inp-range {
	height: 40px;
	--track-height: 24px;
}

.btn-hvac-fan, .btn-hvac-vane, .btn-hvac-wvane {
	width: 30px;
  height: 36px;
  text-align: center;
  border: 1px solid #ce7c56;
  border-radius: 5px;
  background: #414141;
  color: #ce7c56;
  margin-right: 7px;
  font-size: 16px;
  padding: 5px;
}

.btn-hvac-mode {
	width: 51px;
  height: 36px;
  text-align: center;
  border: 1px solid #ce7c56;
  border-radius: 5px;
  background: #414141;
  color: #ce7c56;
  margin-right: 7px;
  font-size: 16px;
  padding: 1px 5px 2px 4px;
}

.btn-hvac-vane {
	margin-right: 2px;
  margin-left: 1px;
  width: 28px;
}

.btn-hvac-wvane {
	margin-right: 2px;
  margin-left: 1px;
  width: 34px;
}



::backdrop {
	opacity: 0.7;
  background-color: black;
}


.diag-grid {
	display: grid;
	font-size: 13px;
	grid-template-columns: 45px 35px 30px 55px 35px 55px 45px 45px;
	grid-template-rows: 1fr;
	grid-column-gap: 0px;
	grid-row-gap: 0px;
}

.param-grid {
	max-height: 568px;
	grid-template-columns: 230px 140px;
}

.diag-grid div {
  border: 1px solid dimgray;
	padding: 2px;
}

.diag-doc {
	text-decoration: none;
}

.diag-red {
	color: #ff5c10 !important;
}

.diag-red a {
	color: #ff5c10 !important;
}

.diag-strike {
	text-decoration: line-through;
}

.diag-pointer {
	cursor: pointer;
}

#diag-counter {
	margin-top: 10px;
	font-size: 13px;
}

#tab-status-param {
  height: auto;
	overflow-y: auto;
  scrollbar-color: #ce7c56 #414141;
  scrollbar-width: thin;	
}

.on {
	background: #efa07c !important; 
	/* background: #ce7c56 !important; */
	fill: black;
	color: black;
	box-shadow: 
	  inset -6px -6px 15px -11px black, 
		inset 5px 5px 15px -3px #515151,
		0px 1px 17px 2px  #ce7c56;
}

.on svg.svg-icon, .on .box2rows {
	filter: opacity(0.6);
}

.inactive {
	/* background: #414141; */
	fill: #bbbbbb;
	color: #bbbbbb;
}

.operating0 .box2rows {
	filter: opacity(0.6);
}
.operating1 .box2rows {
	filter: opacity(0.6);
}

.operating0 svg.svg-icon-24 {
	fill-opacity: 1.0;
	transition: fill-opacity 1s;
}
.operating1 svg.svg-icon-24 {
	fill-opacity: 0.3;
	transition: fill-opacity 1s;
}

.operating svg.svg-icon-24 {
	animation: glow 2.5s cubic-bezier(0.39, 0.58, 0.57, 1) infinite alternate;
}

/* https://stackoverflow.com/questions/34821217/easily-create-an-animated-glow */
@keyframes glow {
  from {
    fill-opacity: 0.3;
  }
  to {
    fill-opacity: 1.0;
  }
}
	

.txl {
	text-align: left;
}
.txc {
	text-align: center;
}
.txr {
	text-align: right;
}

.calendar-top {
	display: grid;
	grid-template-rows: 30px;
	grid-template-columns: auto 40px 40px;
	width: 300px;
  line-height: 30px;
  font-size: 16px;
}

.calendar-grid {
	display: grid;
	grid-template-rows: repeat(7,36px);
	grid-template-columns: repeat(7,36px);
	grid-column-gap: 8px;
	grid-row-gap: 8px;
	justify-items: end; 
  align-items: center; 
}

.calendar-grid div {
	cursor: pointer;
	width: 16px;
	line-height: 16px;
  font-size: 14px;
  padding: 8px;
  border-radius: 3px;
  border-width: 2px;
	text-align: right;
}

.calendar-out-month {
  color: #a67e6c;
}

.calendar-today {
  color: white !important;
	font-weight: bold;
  border-width: 2px;
}

.calendar-selected {
  color: black;
  background: #ce7c56;
}

.calendar-selected-past {
  color: black;
  background: #945e45;
}

.calendar-button {
  cursor: pointer;
	text-align: center;
  outline: none;
}

/* confirmation dialog  */

#dlg-confirm {
	height: 200px;
	width: 300px;
	margin: auto;
	padding-bottom: 10px;
}

.dlg-confirm-txt {
	grid-column: span 3;
	margin-left: 20px;
}

.dlg-confirm-last {
	text-align: right;
	grid-column: span 3;
	margin-left: 20px;
}

.dlg-configm-btn {
	width: 60px;
  height: 36px;
  text-align: center;
  border: 1px solid #ce7c56;
  border-radius: 5px;
  background: #ce7c56;
  color: #000000;
  margin-right: 7px;
  font-size: 16px;
  padding: 5px;
}


/*********** Baseline, reset styles ***********/
input[type="range"] {
  -webkit-appearance: none;
  appearance: none;
  background: transparent;
  cursor: pointer;
  width: 98%;
	outline: none;
}

/* Removes default focus */
input[type="range"]:focus {
  outline: 0 none;
  outline-color: transparent;
  outline-style: none;	
}

/******** Chrome, Safari, Opera and Edge Chromium styles ********/
/* slider track */
input[type="range"]::-webkit-slider-runnable-track {
  background-color: #efa07c;
  border-radius: var(--track-height);
  height: var(--track-height);
	padding-right: 2px;
  padding-left: 2px;
}

/* slider thumb */
input[type="range"]::-webkit-slider-thumb {
	--thumb-offset: 2px;
  appearance: none;
  background-color: #414141;
  border-radius: calc(var(--track-height) - var(--thumb-offset));
  margin-top: var(--thumb-offset);
  height: calc(var(--track-height) - 2 * var(--thumb-offset));
  width: calc(var(--track-height) - 2 * var(--thumb-offset));
}

input[type="range"]:focus::-webkit-slider-thumb {
	outline: none;
  /* outline: 3px solid #ffffff; */
  /* outline-offset: 0.125rem; */
}

